# Custom Templates - Add-On

**Custom Templates** allows you to use your own .blend files as template options for new projects.

---

- [Why *Custom Templates*?](#why-custom-templates)
- [How to use](#how-to-use)
- [Support](#how-to-use)
- [Copyright](#how-to-use)
- [Changelog](./CHANGELOG.md)

---

![File > New menu with the add-on custom buttons](./images/Preview%20Image%20-%20v2.png)

Your templates will be avaliable in the Splash Screen and the `File > New` menu.

#### Why *Custom Templates*?

Blender allows you to save you own .blend file to use on startup.  

This is great, but wouldn't it be nice to be able to create your own templates?

With **Custom Templates** you can setup as many .blend file as you like, as templates.

---

Create your own templates or find the ones that best suit your needs online.  

*Customize workspaces, preset your usual materials, define additional windows and anything else you would like to have from the beginning.*  

*The only limit is your immagination!*

### How to use

- **Prepare your templates** and save them **in `.blend` files**  
*or find online `.blend` templates that fits your needs*
- **Define your templates** in the add-on's preferences  
    *Simply select a `.blend` file and name your template*  
    You can do this:
    1) Directly from add-on preferences, in the templates list  
    2) By using `File > Defaults > Select new custom template`  
    *This functions will open a popup where you will select the file path and specify the name for the new template.*
    3) By using `File > Defaults > Use current as new template` *(only avaliable when a saved .blend file is loaded)*  
    *This functions will open a popup where you will specify the name for the new template. The path will be the one of the current .blend file.*
    4) By importing a previously exported templates list  
    *Note: the import process override the current list. Be sure to export the current list, if necessary*

> *You can add, remove, reorder and update your templates any time...*

- *(Optionally)* **Export** your templates list to **JSON file**  
  *Useful after disabling and re-enabling the add-on, re-installing blender, or simply to prepare different sets of templates to import when needed.*

At this point your templates will be avaliable in the `File > New` menu and in the Splash Screen.

---

##### Splash Screen

From the Splash Screen (or from preferences), you can easily switch between your Custom Templates and Blender's default templates.  
> *This only applies to the splash screen.  
> `File > New` menu will always show all your templates.*

Notes:

- With more than 5 templates, only the first 5 will be shown in the splash
- If you have no templates currently defined, Blender's default list will always be used

### Support

As of today, the add-on has been only tested on Blender 4.2.x.
*It may or may not work on previous version.*

### Copyright

This add-on is developed under GPL-3.0 license by Francesco Bellini from 2024.  
*See the [LICENSE](./LICENSE) file.*

#### Changelog

Visit the [CHANGELOG](./CHANGELOG.md) file to see the changes over new version.
